Version 2.2.3 - Wednesday, 25th March 2026
- New: Added support for the WordPress Abilities API to improve integrations and automation.
- Improvement: Added a simplified User Login Status condition in Dynamic Conditions for easier checkout targeting.
- Fix: Resolved PHP warnings in the admin area and block editor.
- Security: Improved overall plugin stability and safeguards across key features.

Version 2.2.2 - Tuesday, 10th March 2026
- Fix: Fixed Order Bump quantity automatically incrementing when pre-checked in Store Checkout.
- Fix: Fixed subscription products with free trials displaying the subscription price in product options.

Version 2.2.1 - Tuesday, 24th February 2026
- Fix: Optimized order fetching and calculations in Funnel Analytics to improve performance and stability.
- Fix: Fixed revenue mismatch between the sales column on Funnel Listing page and funnel analytics.
- Fix: Fixed A/B test variation analytics not tracking correctly when the `Override Permalink for A/B test` setting is enabled.

Version 2.2.0 - Tuesday, 27th January 2026
- New: Revamped the Funnel Analytics by introducing new KPIs for advanced funnel performance insights.
- Improvement: Introduced the support for variable products for Order Bumps.
- Improvement: Added an option to enable or disable Instant Layout for upsell and downsell steps.
- Fix: Corrected Order Bump revenue tracking to ensure accurate reporting in analytics.

Version 2.1.9 - Wednesday, 24th December 2025
- Fix: Fixed an issue where redirection to the CartFlows Thank You page failed when Dynamic Offers were enabled.
- Fix: Fixed checkout page error that occurred when the product quantity field was left empty.
- Fix: Fixed an issue where the product options position setting did not reflect on the frontend when using Instant Layout.

Version 2.1.8 - Monday, 17th November 2025
- Fix: Fixed an issue with Order Bump when a selected product is permanently deleted.
- Fix: Fixed Order Bump layout issues on the checkout page frontend to ensure proper display.
- Fix: Fixed Upsell orders not being added to the main order when using the WooCommerce PayPal Payment Gateway.
- Fix: Fixed Express Checkout orders with WooCommerce Stripe Gateway redirecting to the WooCommerce Thank You page.
- Fix: Fixed missing custom product names and non-stacking product boxes on mobile in the Product Option – Card Skin.

Version 2.1.7 - Wednesday, 21th May 2025
- New: Introduced a new Cards Inline layout style for modernized product options.
- Improvement: Revamped the design of product options to match the modern checkout interface for a cleaner, more intuitive user experience.
- Improvement: Enhanced the product options popup with support for selecting multiple variations.
- Fix: Excluded subscription renewal orders from revenue calculation in Funnel Analytics.

Version 2.1.6 - Tuesday, 13th May 2025
- New: Introduced Instant Layouts for Upsell and Downsell steps.
- Improvement: Enhanced tooltips across the interface for improved clarity.
- Fix: Fixed an issue where Klarna payments were not working when CartFlows Pro was active.

Version 2.1.5 - Thursday, 3rd April 2025
- New: Added a new style for order details in the child order section on the Thank You page.
- Fix: Offer buttons are no longer clickable in page builder preview mode.
- Fix: Resolved an issue where the order bump checkbox appeared checked when adding a product directly from the product page (bypassing the cart).
- Fix: Fixed a warning related to "get_cart() called on null."
- Fix: Addressed an issue where removing an order bump product from the cart didn't work correctly when a coupon was applied at checkout.
- Fix: Fixed an issue where WooCommerce Stripe Payment Gateway’s express checkout buttons were not working on offer steps.

Version 2.1.4 - Thursday, 23rd January 2025
- Improvement: Enhanced block previews in Gutenberg for Upsell and Downsell steps.
- Fix: Resolved an issue where the license activation link redirected users to the General settings page instead of the License settings page.
- Fix: Fixed an issue with CartFlows analytics not working when a custom URL was used for the WordPress admin panel.

Version 2.1.3 - Tuesday, 31st December 2024
- Improvement: Enhanced compatibility with the latest version of Elementor.
- Improvement: Updated license restriction messages across all page builders for better clarity when the license is inactive.
- Fix: Resolved an error on the CartFlows checkout page when placing an order using the Mollie iDEAL payment method.
- Fix: Addressed an issue where the pre-checked order bump did not replace the first product in the cart.

Version 2.1.2 - Tuesday, 10th December 2024
- Improvement: Added a dedicated "Offer Popup Strings" tab to streamline Offer Step settings.
- Fix: Upsell product quantity now automatically sets to 1 if left blank in the backend settings.
- Fix: Fixed the next step button visibility issue on the first step of the Two-Step Checkout Layout when using Thrive Architect.
- Fix: Resolved an incorrect usage error for the _load_textdomain_just_in_time function.
- Fix: Addressed a critical error with the "CartFlows_Pro_Gateway" class on funnel pages in some cases.
- Fix: Corrected upsell failures when using the Payment Element and Express Checkout with the Official Stripe plugin.
- Fix: Fixed Unicode characters incorrectly appearing in the order details section in the admin panel.
- Fix: Resolved an issue where an empty offer product displayed as "undefined" in some cases.
- Deprecated: The Step Note field is now marked as soft-deprecated across all steps.

Version 2.1.1 - Tuesday, 19th November 2024
- Fix: Resolved an issue where Upsell transactions failed when using the WooCommerce Square plugin.
- Fix: Fixed a problem where deselecting an Order Bump reduced its quantity to 1 instead of fully removing the item.
- Fix: Addressed a bug with the "Order Bump" layout position in the 'After Payment' section, ensuring proper functionality during checkout.
- Fix: Fixed incorrect Order Bump placement across layout positions in Instant Checkout.

Version 2.1.0 - Thursday, 7th November 2024
- New: Bricks Builder Integration for Upsell and Downsell steps with ready-made layouts.
- New: SureTriggers Integration for adding workflows for Upsell and Downsell steps if required.
- New: Introduced native support for Pinterest Pixel to track activities on CartFlows Upsell and Downsell pages.
- New: Introduced native support for Snapchat Pixel to track activities on CartFlows Upsell and Downsell pages.
- Improvement: Enhanced analytics API calls with proper response messages.
- Fix: Resolved the problem with updating quantities for variable products added in Order Bumps.

Version 2.0.10 - Tuesday, 8th October 2024
- New: Introduced native support for Google Ads to track activities on CartFlows Upsell and Downsell pages.
- New: Added support for Card Payments using Stripe Payment Element method from the Stripe for WooCommerce plugin for upsell and downsell steps.
- New: Added support of Stripe for WooCommerce plugin's Express Checkout support for upsell & downsell steps.

Version 2.0.9 - Monday, 16th September 2024
- New: Introduced native support for TikTok Pixel to track activities on CartFlows Upsell and Downsell pages.
- Fix: Updated conditions to prevent errors with subscription products on the checkout page when using the WooCommerce Subscriptions plugin.
- Fix: Resolved an issue with refunding offer step products via the WooPayments plugin, caused by the refund reason response from Stripe.

Version 2.0.8 - Tuesday, 27th August 2024
- New: Added Checkout Plugins - Stripe for WooCommerce's Flexible Payment Method support for upsell/downsell.
- New: Introduced a filter cartflows_pro_analytics_cookie_expire_time to change the analytics cookie expire time.
- Fix: Resolved the session expired error on offer steps with dynamic condition when a non supported gateway is used.
- Fix: Corrected warnings triggered by coupon existence checks in dynamic conditions on the checkout page.
- Fix: Resolved a conflict where the payment section's label CSS was affecting the order bump label style.
- Fix: Corrected a bug that blocked users from advancing in multi-step checkout when guest checkout was turned on.

Version 2.0.7 - Thursday, 11th July 2024
- Improvement: Improved the compatibility of product options quantity selector to handle the stock limit on the checkout page.
- Improvement: The price conversion for product options and order bumps were not working for MultiCurrency feature of WooPayments plugin.
- Improvement: Improved the compatibility of WooCommerce Payments plugin for upsell/Downsell payments.
- Fix: Fixed the formatting issue of checkout offers content field.
- Fix: Fixed the conflict with Thrive Architect and CartFlows with Astra Pro's custom header/footer.
- Fix: Dynamic conditions on the checkout page was not working if applied with product and coupon conditions.
- Fix: Fixed an issue where the order bump product was being selected multiple times when added to the cart from the shop page.

Version 2.0.6 - Thursday, 2nd May 2024
- Improvement: Modified the statement descriptor param as per the guidelines by stripe.

Version 2.0.5 - Tuesday, 23nd April 2024
- Improvements: Improved the order bump code to make it compatible with out-of-stock products.
- Fix: The upsell/downsell product was getting added in the order even if the order is cancelled manually while using Mollie Gateway.
- Fix: Fixed the "Place Order" button would disappear when using the PayPal payments plugin.
- Fix: The your product section was showing line-through to the product price in some conditions.
- Fix: Fixed the issue of Subscriptions were charged immediately instead of after trials.

Version 2.0.4 - Monday, 11th March 2024
- Improvement: Improved the logging statements for the flow's analytics.
- Improvement: Improved the subscription product related conditions if the WooCommerce Subscription plugin is not active and installed.
- Improvement: Fixed the deprecated notice of the statement descriptor of stripe's card payment gateway.
- Fix: Fixed the product stock was getting reduced two times for the upsell offer products.
- Fix: Subscription product was not getting replaced with with the OB product while using replace first product feature.
- Fix: Resolved the undefined array key warning for PHP 8.2 version.
- Fix: Resolved pricing displayed for subscription products with sign-up fees instead it should display only sign-up fees.
- Fix: Fixed double price display in order bump for the 100% discount.
- Fix: Two place order buttons were getting displayed while using Checkout Plugins - Stripe for WooCommerce plugin.
- Fix: Undefined get_customer_id error message in some cases.

Version 2.0.3 - Thursday, 25th January 2024
- Fix: The conversation for the A/B split test variation steps were not getting recorded.
- Fix: Subscription product price was getting displayed as zero in your products section while changing product.
- Fix: Unable to change the quantity from the product options in some cases.
- Fix: Customer ID is not available error message while using Mollie Credit Card.
- Fix: Select dropdown field was not showing options in the custom field editor.
- Fix: Fixed the `get_current_screen()` not found error message in some cases.
- Fix: A/B split test setting were not getting saved properly for multi-side setup.
- Fix: Resolved License activation action showing nonce invalid message if WooCommerce is not installed.
- Fix: Heading and button colors were not getting changed for two-step layout using elementor.

Version 2.0.2 - Monday, 4th December 2023
- Improvement: Improved the price display by restricting the float values to two numbers after a decimal point.
- Fix: The order bump content was getting replaced while saving the order bump.
- Fix: In some cases, the thank you page conversation was not working.
- Fix: The link to navigate back to step setting in the page builder view was showing 404.

Version 2.0.1 - Friday, 10th November 2023
- Fix: Fixed deprecated notices for elementor displayed on the offer steps for offer accept/reject buttons.
- Fix: Fixed the issue with the version 6.7.1 of WooCommerce Payments and improved the future compatibility.
- Fix: Fixed the analytics calculation issue when the A/B split test is enabled.

Version 2.0.0 - Tuesday, 7th November 2023
- New: Revamped the whole CartFlows user-interface to add a user-friendly touch.
- New: Added a way to carry forward the URL parameters to the next step.
- Improvement: Added a restriction to quantity update if product is set to purchase one qty per order.
- Fix: Fixed the missing condition to check for WooCommerce Subscription in product options only if the discount is applied.
- Fix: In dynamic offers, the rules containing the zero value conditions were not getting saved.
- Fix: Fixed the Skip offer issue if multiple offer pages are added in the flow
- Fix: Order bump was not getting unchecked if it is pre-selected on the checkout page.
- Fix: Fixed the deprecation notices for the latest update of Elementor.
- Fix: Product options images were not getting changed for product options.
- Fix: Fixed few function deprecation warnings while using PHP version 8.2
- Fix: Fixed the critical issue with the latest major update of WooCommerce Payments.

Version 1.11.15 - Monday, 14th August 2023
- New: Auto-update PRO plugin enabled by updating the client license library.
- Fix: Resolved "divisible by zero" error on applying discount to selected subscription product with product options enabled.
- Fix: CartFlows blocks were not working with the latest version of Spectra.

Version 1.11.14 - Tuesday, 1st August 2023
- Fix: Unable to create child order if the email field is hidden on the checkout page.
- Fix: Fixed the amount mismatch for PayPal Payments when Replace Main Order is enabled on upsell/downsell step.
- Improvement: Added a way to restrict the double purchases of the upsell/downsell offers.

Version 1.11.13 - Monday, 26th June 2023
- Improvement: Added additional checks for CartFlows post-type operations.
- Fix: Addressed the security issue and performed code refactoring.

Version 1.11.12 - Thursday, 15th June 2023
- Fix: Removed the non-used code and improved the security of the plugin.

Version 1.11.11 - Thursday, 25th May 2023
- Fix: The Upsell/Downsell offer payments were getting failed for the official WooCommerce Stripe Payment Gateway.
- Fix: Product images were not getting displayed in your product section.
- Fix: Non-logged-in users were not able to continue to the next step of the multistep checkout.
- Fix: Upsell/Downsell offers were getting failed for WooCommerce Payments plugin.
- Fix: Main order status was getting stuck to pending payment for the Square payment gateway.

Version 1.11.10 - Monday, 24th April 2023
- New: Added the PayPal Payments For WooCommerce by Checkout Plugins support for the upsell and downsell.
- Improvement: Introduced a new filter called 'cartflows_display_offer_shipping_fee' that allows the user to control the visibility of offer steps shipping fee on the thank you page.
- Improvement: Introduced new filter `cartflows_display_offer_shipping_fee` to hide/show the shipping fee on thank you page for offer steps.
- Fix: Fixed an issue where the email field was not being properly inline-validated for the multi-step checkout layout.
- Fix: Fixed a problem where duplicate email fields were being displayed for the multi-step checkout in some cases.
- Fix: Resolved a conflict that occurred between the Place order button and the PayPal for WooCommerce payments plugin.
- Fix: Email field was not getting inline-validated properly for multi-step checkout layout.
- Fix: Showing duplicate email field for multi-step checkout in some cases.
- Fix: Place order button conflict with PayPal for WooCommerce by payments plugins.
- Fix: Some styling options for order bumps were not functioning properly when using the DIVI page builder.
- Fix: Upsell/Downsell page was not getting displayed in some cases, when the order is placed from A/B variation step.
- Fix: Upsell/Downsell payment getting failed for square payment gateway.

Version 1.11.9 - Tuesday, 7th February 2023
- New: Introduced quantity updater for order bump.
- Fix: Order bump was getting unchecked in certain conditions.
- Fix: Fixed the conflict with WooCommerce Conditional Shipping and Payments plugin.
- Fix: Fixed elementor deprecated action notices.
- Fix: Modified the order bump CSS to correct the word break in OB description.
- Fix: Shipping method was not getting updated in certain cases for MultiStep checkout layout.

Version 1.11.8 - Tuesday, 27th December 2022
- Fix: Fatal error on checkout if order bump does not have assigned product.
- Fix: Showing the wrong price of the product on an order bump if a 100% discount is set.
- Fix: Dynamic rules for order bumps were not working in some cases with store checkout.
- Fix: Order Bump product price was not getting added to express checkout.
- Fix: Upsell getting skipped for PayPal Standard.

Version 1.11.7 - Tuesday, 20th December 2022
- New: (Beta) Added a new and improved way to track the flow analytics.
- New: Now you can display the order bump pre-checked on the front end.
- Improvement: Improved conditions to display product option settings for page builder.
- Fix: Function deprecated notices for PHP 8.1 version.
- Fix: Elementor functions deprecation notices from elementor.
- Fix: The email field was not getting updated for multi-step checkout.
- Fix: The billing email field was not getting pre-filled for multi-step checkout.
- Dev: Hard deprecated the order bump next step redirection option.

Version 1.11.6 - Thursday, 1st December 2022
- Fix: Weekly report emails were not sending in some cases.

Version 1.11.5 - Tuesday, 22nd November 2022
- New: Added multistep checkout layout style.
- New: Added radio group field option in checkout custom field editor.
- New: Added Order custom field rule in dynamic offers.
- New: Added options to update the order status related strings on offer accepted/rejected popup.
- Improvement: Added new CSS customization options for CartFlows Gutenberg Blocks.

Version 1.11.4 - Wednesday, 16th November 2022
- Improvement: The wrong price was getting displayed on the place order button if all products are removed from the checkout page.

Version 1.11.3 - Monday, 7th November 2022
- New: Added the WooCommerce Payments support for the upsell/downsell.
- Improvement: Revamped CartFlows Gutenberg blocks.
- Improvement: Added WooCommerce HPOS compatibility.
- Fix: Upsell failing for Square payment gateway.

Version 1.11.2 - Thursday, 13th October 2022
- Fix: Order bump revenue was getting doubled on the home page analytics.
- Fix: Order bump was not getting displayed due to PHP version compatibility.

Version 1.11.1 - Wednesday, 14th September 2022
- Fix: Fixed PHP error while checking for plugin update.
- Fix: Skip offer option was not working when multiple upsell were added to the flow.

Version 1.11.0 - Thursday, 8th September 2022
- New: Added skip offer option for offers.
- Improvement: New designing options introduced for order bump customizations.
- Fix: The order bump dynamic conditions were not working for the billing/shipping country.
- Fix: Mollie Bank Transfer payment gateway was not showing on the checkout page.

Version 1.10.2 - Tuesday, 26th July 2022
- Fix: PHP warning notices of order bumps positions.
- Fix: Upsell/downsell offer pages showing session expired error for Checkout Plugins Stripe for WooCommerce gateway.

Version 1.10.1 - Friday, 15th July 2022
- Fix: Order bump's after payment position was not working for the Mollie payment method.
- Fix: Miscellaneous setting of CartFlows was not getting saved.

Version 1.10.0 - Wednesday, 6th July 2022
- New: Added option to override Permalink for A/B test.
- Improvement: Improved Order Bump preview with dynamic values and product image.
- Improvement: Archived A/B test variation will redirect to the control step or winner step.
- Improvement: Added dynamic order bump compatibility with the product options.
- Fix: Pre-checkout offer styles migration failed for Beaver Builder page builder.
- Fix: Upsell/Downsell was getting failed for the Mollie and Square payment gateways.
- Fix: Order Bump width option not working for after customer details position.
- Fix: Duplicate emails were sent if the subscription product was purchased from upsell/downsell steps.
- Fix: Admins placed orders were added to the flow analytics calculations.

Version 1.9.3 - Tuesday, 31st May 2022
- New: Introduced JS variables for upsell/downsell to use in a custom script.
- New: Introduced offer accepted/rejected JS triggers to execute a custom script.
- Improvement: Improved condition to control the display of the subscription-related strings in product options.
- Improvement: Improved the error handling of license activation/deactivation.
- Fix: Upsell was getting skipped if multiple checkout pages were created in a flow.
- Fix: Upsell order was getting failed if checkout rules were enabled in some cases.
- Fix: Upsell/Downsell order was getting failed for live mode in some cases while using PayPal payments gateway.
- Fix: While changing the variation, its image was not getting displayed in the popup.
- Fix: Subscription product price was not displayed in the first subscription email of WooCommerce.
- Fix: Multi-currency plugin returning blank value while converting price for upsell/downsell.
- Fix: Showing wrong offer revenue stat on home page analytics.

Version 1.9.2 - Tuesday, 19th April 2022
- Fix: Converted price was not displaying for order bump while using `WooCommerce Multi-Currency` plugin.
- Fix: Shipping fields were not validating for a two-step checkout.
- Fix: Place Order button was getting displayed after an ajax call while using PayPal Payments.

Version 1.9.1 - Thursday, 31st March 2022
- New: New filter `cartflows_checkout_trigger_update_order_review` introduced to refresh the checkout page after CartFlows ajax calls.
- Fix: Upsell order was failing for PayPal Payments gateway for payment request length restrictions from PayPal.
- Fix: Numeric comparison was not working for order bumps.
- Fix: Discount was getting removed if the variation is changed when using Popup design.
- Fix: Product Options width was not full-width in the mobile devices for the DIVI theme.
- Fix: Fixed deprecated function notices of Elementor.

Version 1.9.0 - Wednesday, 16th March 2022
- New: Added a pre-checkout offer preview in the checkout page setting.
- New: Added a new option in global settings for pre checkout offer to enable/disable globally.
- Improvement: Added Modern Checkout Compatibility.
- Improvement: Adding the CPSW fee details in CartFlows Upsell so it will be shown in Woocommerce order details.
- Improvement: Removed pre-checkout styling option from page builder module and added in checkout page backend settings.
- Improvement: The one-column checkout layout has been removed and added to the free version of CartFlows.
- Improvement: The floating label's style has been modified and named as modern labels. Now It will available in free version of CartFlows.
- Fix: Fatal error if the selected product in the order bump is not available on the website.
- Fix: The order bump checkbox gets unchecked after product option selection.
- Fix: The product category condition was not working for dynamic offers if the variation product has been selected.

Version 1.8.0 - Tuesday, 28th December 2021
- New: Introduced the Dynamic Order Bumps.
- New: Introduced "Dynamic Offers" aka "Rule Engine" for conditional redirects.
- New: Introduced Canvas 1.0 for a better overview of the flow.
- New: Added upsell/downsell support for Checkout Plugins Stripe for WooCommerce.
- Improvement: Updated the logic of custom checkout fields.
- Improvement: Fixed deprecated notices for Elementor.
- Fix: Optin fields were not displaying due to the console error.
- Fix: Affiliate commission was not getting recorded for the separate orders of upsell/downsell offers.

Version 1.7.2 - Monday, 20th September 2021
- New: Added custom compatibility of PayPal Payments Gateway.
- Improvement: Improved the multi-currency support for Upsell/Downsells.
- Improvement: Deleted variation steps will not display in the Flow analytics.
- Fix: Animate tab text option was not getting displayed.
- Fix: Vertical navigation in step and flow setting was not working for RTL and translation.
- Fix: Showing session expired error message on the upsell/downsell with Mollie iDeal gateway.
- Fix: The Variation popup was not displayed if the first product/variation was out of stock.
- Fix: Default variation was not getting displayed in the variation popup if set.
- Fix: Subscription period text was not getting translated in the product options section.
- Fix: Unable to change the text of title field in order bump style-3.
- Fix: Order bump migrate notice was displayed even if the WooCommerce was not installed.
- Fix: The order bump product was not removed from the checkout page if zero value product was added.
- Fix: The order bump conditional redirection option was not working if there was no Upsell in the flow.

Version 1.7.1 - Thursday, 22th July 2021
- Fix: PHP-8.0 compatibility issue.

Version 1.7.0 - Wednesday, 21th July 2021
- New: Multiple Order Bumps - Ability to display multiple order bumps on the checkout page with new styles.
- Deprecated: Legacy Admin UI has been removed.
- Deprecated: Order bump settings have been removed from all page builder settings.

Version 1.6.13 - Tuesday, 22nd June 2021
- Improvement: Revamped the Facebook Pixel Tracking integration.
- Improvement: Revamped the Google Analytics integration and GA-4 support added.
- Fix: Separate order of Upsell/Downsell was not getting a refund via PayPal Express Checkout.
- Fix: Two-step layout's background color for note and next step button was not applying from Gutenberg block.

Version 1.6.12 - Wednesday, 12th May 2021
- Improvement: Hardened the security of the plugin.
- Fix: Admin notices conflict with Gravity Forms.
- Fix: Upsell order was not refunding for stripe.
- Fix: A date/time difference in scheduled subscription, if the subscription product is purchased from upsell/downsell.

Version 1.6.11 - Thursday, 22nd April 2021
- New: Now, you can add products from the URL on the Checkout page.
- Fix: The processing offer order popup was getting added on the rest of the CartFlows Pages.
- Fix: Product option settings are applying even if it is disabled.
- Fix: Product images in product options & order bump were getting stretched in mobile view for safari browser.
- Fix: Design settings of the shortcodes was getting applied even if it is disabled.

Version 1.6.10 - Wednesday, 7th April 2021
- Improvement: Showing the variable subscription price string on product options.
- Fix: Upsell product is out of stock issue, display out of stock message to a user
- Fix: Not reducing the offer product's stock for WooCommerce square payment gateway.
- Fix: Upsell order fails for mollie payment gateway.

Version 1.6.9 - Wednesday, 24th March 2021
- Improvement: Upsell/Downsell price shortcode will display the price as per WooCommerce's tax settings.
- Improvement: Added the Multicurrency support for the offer price shortcode.
- Fix: Divide by zero error in flow analytics.

Version 1.6.8 - Tuesday, 16th March 2021
- Fix: Coupon was getting applied to the recurring total while using product options.
- Fix: Flow conversion was not working due to a cookie issue.
- Fix: Incorrect price was shown in the Google Pay and Apple Pay button while changing the checkout page's product options.

Version 1.6.7 - Wednesday, 10th March 2021
- Improvement: WordPress 5.7 Compatibility added.
- Fix: Showing the error if order bump is enabled but product is not selected.
- Fix: Google analytics events for order bump was not triggering.

Version 1.6.6 - Tuesday, 2nd March 2021
- Fix: Critical error "Cartflows_Pro_Gateways" class not found, if WooCommerce is not installed.

Version 1.6.5 - Thursday, 25th February 2021
- New: Added default product selection option in product options on checkout setting.
- Fix: Multicurrency issue for the product options.
- Fix: Coupon was not getting applied if set in Order Bump.

Version 1.6.4 - Thursday, 18th February 2021
- Fix: Single checkbox issue in product variation.
- Fix: Two-Step button text was not updating from the Beaver Builder widget.

Version 1.6.3 - Thursday, 11th February 2021
- New: Added the support to apply the coupon through the URL parameter.
- Fix: CartFlows modules were not getting displayed on the Beaver Builder's Module Setting page.
- Fix: Request timeout to license activation API request.
- Fix: Conflict with WooCommerce PDF Invoices & Packing Slips while creating invoices.
- Fix: Fatal error on upsell settings page if product id not found.

Version 1.6.2 - Thursday, 4th February 2021
- Fix: Two Step button text was not updating from Elementor widget.
- Fix: A/B Split testing setting was not getting saved.

Version 1.6.1 - Monday, 18th January 2021
- Fix: Undefined method while saving the offer setting for old UI.

Version 1.6.0 - Tuesday, 5th January 2021
- New: Introduced new admin UI.
- Fix: Floating label issue for select field.
- Fix: Fatal error if product selected in pre-checkout offer is not found.

Version 1.5.12 - Thursday, 5th November 2020
- New: Introduced Gutenberg Blocks.
- Fix: Colors were not getting updated for the Pre-checkout offer with Divi.
- Fix: Order Bump was not showing when the checkout page was set as the home page.

Version 1.5.11 - Tuesday, 13th October 2020
- New: Introduced Beaver Builder widgets.
- Fix: Split Testing was not getting enabled if the WooCommerce was not installed.
- Fix: Flow Analytics was not working for extensive data.

Version 1.5.10 - Tuesday, 29th September 2020
- New: Introduced Elementor widgets.
- New: Added the WooCommerce Square payment gateway support for the upsell and downsell.
- Improvement: Flow Analytics admin DB calls optimized.
- Fix: Flow Analytics was not displaying on some servers.

Version 1.5.9 - Tuesday, 8th September 2020
- New: Added an option to replace the main order with upsell or downsell.
- New: Added an option to replace the first checkout product with order bump product.
- New: Added an option to conditionally redirect on a different step when the order bump is purchased.
- Fix: Payment data for the subscription product was not updating for stripe when purchased through upsell/downsell.
- Fix: Checkbox validation issue in a two-step layout.
- Fix: Discount price issue in the single product selection.

Version 1.5.8 - Wednesday, 12th August 2020
- New: Introduced CartFlows split testing.
- Improvement: Added WordPress 5.5 Compatibility.

Version 1.5.7 - Tuesday, 21st July 2020
- New: Added the Mollie iDEAL support for the upsell/downsell.
- New: Added flat shipping rate option for upsell and downsell product.
- Fix: Duplicate order ID was getting generated for the upsell & downsell in Stripe payment gateway.
- Fix: Download section was not available for the upsell child order.

Version 1.5.6. - Wednesday, 1st July 2020
- New: Added Mollie Credit Card payment gateway support for upsell/downsell.
- Improvement: Subscription products trial price, interval details, and other display improvements in the product section.
- Improvement: Show only sign up fee if the subscription product has a free trial.
- Fix: Analytics were not showing after reset.
- Fix: 'Processing Order' message was showing on upsell/downsell rejection.
- Fix: Showing an incorrect selection of the variation product for a single selection option.
- Fix: Subscription product pricing conflict with Upsell/Downsell.
- Fix: Tax and total price conflict with PayPal gateway in without reference transaction mode.
- Fix: Tax was not getting refunded while refunding from the CartFlows Offer Refund feature.
- Fix: Undefined get_id fatal error when the product is deleted and still attached to the checkout page setting.
- Fix: Variation image was not getting changed in the variation popup option.

Version 1.5.5 - Thursday, 4th June 2020
- New: Added an option to make separate upsell/downsell orders.
- New: Added an option to enable/disable and reset the flow analytics tracking.
- Improvement: Showing product price with tax ( if enabled ) in your product section.
- Improvement: Showing subscription product details and sign up fee in the your product section.
- Fix: Bank Details were not getting added in the email while purchasing upsell/downsell through BACS gateway.
- Fix: Sign up fee for subscription product was not included in upsell/downsell.
- Fix: Multiple Upsell/Downsell accept buttons were not working for PayPal.

Version 1.5.4 - Thursday, 14th May 2020
- New: Enhanced product options with new features.
- New: Added option to refund upsell & downsell from the WooCommerce order section.
- Fix: Zero quantity was getting set from the product variation section
- Fix: Create an account checkbox issue for a two-step checkout.

Version 1.5.3 - Tuesday, 21st April 2020
- New: Added variation product support for the Upsell/Downsell offer.
- New: Added dynamic shortcodes to show product details on Upsell/Downsell page.
- Fix: Account Field's validation in the two-step checkout layout.

Version 1.5.2 - Wednesday, 1st April 2020
- Improvement: Divi CSS support added for the Optin step type.
- Fix: PayPal's transaction was getting refused for upsell/downsell when the reference transaction option was enabled.

Version 1.5.1 - Thursday, 19th March 2020
- New: Added Authorize.Net (Credit Card) payment gateway support for a one-click upsell/downsell.
- Improvement: Added an option to show/hide the bump order image on tab and mobile.
- Fix: Uncertain PHP error in the pre-checkout offer section.
- Fix: Dynamic CSS was not working properly in some DIVI cases.

Version 1.5.0 - Wednesday, 4th March 2020
- New: Native Google Analytics support added.
- New: Dynamic shortcode to personalize user experience.
- Improvement: Float value support added for Upsell/Downsell's discount.
- Fix: Upsell/Downsell product names were not showing in PayPal for without reference transaction mode.

Version 1.4.0 - Tuesday, 11th February 2020
- New: Introduced a new optin step type for lead generation.
- New: Introduced title bar animation for checkout step type.
- Fix: Continuous loader on checkout for zero value variation products.

Version 1.3.8 - Tuesday, 28th January 2020
- New: Added a new position for Your Products section.
- Fix: Order ID not found in the recurring payment using PayPal Checkout Gateway.

Version 1.3.7 - Thursday, 23rd January 2020
- New: Added Direct bank transfer (BACS) payment gateway support for a one-click upsell/downsell.
- Fix: Session expired issue when COOKIEPATH constant was set to empty.
- Fix: Order bump arrow issue in RTL.

Version 1.3.6 - Thursday, 16th January 2020
- New: Added an option to change the position of Your Products section.
- Improvement: AffiliateWP plugin compatibility added for upsell/downsell.
- Improvement: Optimized two-step checkout's layout ( HTML structure and CSS ).

Version 1.3.5 - Thursday, 9th January 2020
- Fix: Order Bump display issue in a two-step checkout layout.
- Fix: Undefined variable cartflows_optimized_fields error in js after importing the template.
- Fix: WooCommerce PostNL plugin's address fields display issue.
- Fix: Stripe's Payout was not getting updated for the offers payments.
- Fix: Products option's variation selection nonce issue.

Version 1.3.4 - Thursday, 5th December 2019
- Improvement: Added compatibility for a future release of CartFlows.
- Improvement: Added filter `cartflows_order_status_cron_time` to change the cron time, which changes the order status to complete.
- Fix: Double Upsell/Downsell products issue for stripe non-3ds payments.

Version 1.3.3 - Thursday, 28th November 2019
- Fix: For some users, Upsell/Downsell step was stuck after confirmation.

Version 1.3.2 - Tuesday, 19th November 2019
- New: Quantity option added to Order Bump.
- New: Collapsible field option added to checkout fields.
- Improvement: Unique class added for product options at the frontend.
- Fix: Upsell/Downsell rejection confirmation message's text updated.

Version 1.3.1 - Thursday, 17th October 2019
- New: Actions and filters added for upsell/downsell payment gateway integrations.
- Fix: Payment section was not showing for a paid order bump due to the free main product.

Version 1.3.0 - Tuesday, 15th October 2019
- New: Native Facebook pixel support added.
- Fix: Payment info getting removed while adding an order bump.
- Fix: Session expired message occurred while visiting upsell/downsell in test mode.

Version 1.2.3 - Tuesday, 17th September 2019
- New: Added support for Stripe SCA, 3DS payments.
- Fix: Variation images were not showing in variation popup.

Version 1.2.2 - Wednesday, 4th September 2019
- New: Order Bump pointing arrow
- New: Conditional redirect for Upsell/Downsell
- Fix: Multi-currency issue.

Version 1.2.1 - Wednesday, 21st August 2019
- Improvement: Email validation code updated for the two-step checkout layout ( + operator is now valid ),
- Improvement: Astra's label as placeholder option compatibility added.
- Fix: PayPal Express Checkout without reference transaction issue.

Version 1.2.0 - Wednesday, 31st July 2019
- New: Introduced Pre-Checkout Upsell.
- Improvements: Bump order discount calculation.
- Fix: Bump order product removal when the product variation is changed.
- Fix: Upsell is getting ignored for PayPal Express Checkout in some cases.

Version 1.1.20 - Tuesday, 25th June 2019
- Improvement: Order Bump frontend logic improved.
- Improvement: Latest Divi compatibility.
- Improvement: 'cartflows_pro_activate', 'cartflows_pro_deactivate' function added to activate deactivate license.
- Fix: Order Bump stats are always to zero.

Version 1.1.19 - Wednesday, 29th May 2019
- Fix: CartFlows icon CSS updated.
- Fix: New user license update issue.
- Fix: Product variation visibility issue in two step layout.

Version 1.1.18 - Tuesday, 28th May 2019
- Fix: Undefined property error on CartFlows settings page.

Version 1.1.17 - Monday, 27th May 2019
- Improvement: License's client library updated.

Version 1.1.16 - Tuesday, 21st May 2019
- Improvement: Added compatibility for a future release of CartFlows. WooCommerce dependency will get removed in the next version of CartFlows.
- Improvement: Analytical tracking logic is improved.
- Improvement: Two-step checkout validation will allow email up to 14 characters TLD.
- Improvement: Removed email field form the license activation form. Now, only license key is required to validate the license.
- Fix: A non-numeric value encountered warning solved in bump order.
- Fix: Floating Label issue with account fields CSS added.
- Fix: In some cases, analytics doesn't show the data in the backend.
- Fix: Price in the float was not updating in the payment gateway's order list.

Version 1.1.15 - Tuesday, 30th April 2019
- Improvement: Added compatibility for a future release of Cartflows Cart Abandonment plugin.
- Fix: License notice issue.

Version 1.1.14 - Thursday, 25th April 2019
- Fix: License activation issue for new user.

Version 1.1.13 - Thursday, 25th April 2019
- Improvement: License new API compatibility added.

Version 1.1.12 - Wednesday, 24th April 2019
- Fix: WooCommerce dependency issue.

Version 1.1.11 - Wednesday, 24th April 2019
- Improvement: Minify CSS and Js files filter added.
- Fix: Two-Step checkout CSS issues with bump order in Thrive Architect.
- Fix: Upsell/Downsell's tax was not getting added.
- Fix: Checkout's required field issue when either of the city, state, zip code fields are not present for specific countries.

Version 1.1.10 - Monday, 15th April 2019
- Fix: Mobile alignment of the fields.
- Fix: License notice issue.
- Fix: Two-Step layout active tab highlight border-color issue.
- Fix: Two-Step layout tabs alignment.

Version 1.1.9 - Tuesday, 9th April 2019
- New: Introduced Two-Step checkout style.
- Fix: Thrive Visual Builder CSS Conflict.
- Fix: Product Variation table heading CSS issue.

Version 1.1.8 - Friday, 22nd March 2019
- Fix: Thrive Architect CSS conflict.

Version 1.1.7 - Tuesday, 19th March 2019
- Improvement: Zero value uspell/downsell product support added for PayPal.
- Fix: Session expired error when the last product is removed from multiple selections.
- Fix: Floating label issue when a country is fixed.

Version 1.1.6 - Thursday, 28th February 2019
- New: Custom script support added for Upsell and Downsell page type.
- Improvement: Order Bump JS trigger added. "cartflows_order_bump_product_added", "cartflows_order_bump_product_removed"
- Improvement: Product options title field added.
- Fix: Order Bump discount issue when the same product is in a cart.
- Fix: Checkout field priority issue in some cases.
- Fix: Popup closes early while redirecting from upsell and dowsell offer.
- Fix: Pre-applied coupon was not applying when coupon field is disabled.
- Fix: Floating label placeholder issue.

Version 1.1.5 - Thursday, 07th February 2019
- New: Introduced checkout field editor.
- Fix: Paypal without reference transaction not working for upsell.
- Fix: Floating label issue for textarea.
- Fix: Repeat message in popup while processing upsell.

Version 1.1.4 - Thursday, 24th January 2019
- Fix: Order Bump - When the main product is free or discounted to zero the payment gateway is hidden for order bump product.
- Fix: Order Bump - Variation product couldn't remove.

Version 1.1.3 - Tuesday, 22nd January 2019
- Improvement: Overall admin and frontend design.

Version 1.1.2 - Tuesday, 15th January 2019
- Improvement: Removed email and license key after license deactivate.
- Fix: Product options - "Restrict user to purchase all products" default selection in admin setting.

Version 1.1.1 - Tuesday, 15th January 2019
- New: Product, Variation & Quantity options.
- Improvement: Custom fields will now be added in the order email.

Version 1.1.0 - Wednesday, 5th December 2018
- New: Order Bump box positions.
- Fix: Display custom fields on order details page.
- Fix: Zero price payment not working for upsell products.
- Fix: Analytics stat mismatch for weekly report.
- Fix: Order Bump offer checkbox selection not working issue.

Version 1.0.1 - Friday, 23rd November 2018
- Fix: Bump Order - Increase the product quantity when product already exist in cart.
- Fix: Checkout field translate string issue when custom field editor enabled.

Version 1.0.0 - Monday, 19th November 2018
- Initial Release
